Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
app_data
/
google
/
app_listings
/
search
/
live
Live Google App Listings Search Results
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/app_data/google/app_listings/search/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "categories": [
    "<string>"
  ],
  "description": "<string>",
  "title": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "limit": 123,
  "offset": 123,
  "offset_token": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.total_count": 123,
  "tasks.result.count": 123,
  "tasks.result.offset": 123,
  "tasks.result.offset_token": "<string>",
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.app_id": "<string>",
  "tasks.result.items.se_domain": "<string>",
  "tasks.result.items.location_code": 123,
  "tasks.result.items.language_code": "<string>",
  "tasks.result.items.check_url": "<string>",
  "tasks.result.items.time_update": "<string>",
  "tasks.result.items.item": {},
  "tasks.result.items.item.type": "<string>",
  "tasks.result.items.item.rank_group": 123,
  "tasks.result.items.item.rank_absolute": 123,
  "tasks.result.items.item.position": "<string>",
  "tasks.result.items.item.app_id": "<string>",
  "tasks.result.items.item.title": "<string>",
  "tasks.result.items.item.url": "<string>",
  "tasks.result.items.item.icon": "<string>",
  "tasks.result.items.item.description": "<string>",
  "tasks.result.items.item.reviews_count": 123,
  "tasks.result.items.item.rating": {},
  "tasks.result.items.item.rating.rating_type": "<string>",
  "tasks.result.items.item.rating.value": 123,
  "tasks.result.items.item.rating.votes_count": 123,
  "tasks.result.items.item.rating.rating_max": 123,
  "tasks.result.items.item.price": {},
  "tasks.result.items.item.price.current": 123,
  "tasks.result.items.item.price.regular": 123,
  "tasks.result.items.item.price.max_value": 123,
  "tasks.result.items.item.price.currency": "<string>",
  "tasks.result.items.item.price.is_price_range": true,
  "tasks.result.items.item.price.displayed_price": "<string>",
  "tasks.result.items.item.is_free": true,
  "tasks.result.items.item.main_category": "<string>",
  "tasks.result.items.item.installs": "<string>",
  "tasks.result.items.item.installs_count": 123,
  "tasks.result.items.item.developer": "<string>",
  "tasks.result.items.item.developer_id": "<string>",
  "tasks.result.items.item.developer_url": "<string>",
  "tasks.result.items.item.developer_email": "<string>",
  "tasks.result.items.item.developer_address": "<string>",
  "tasks.result.items.item.developer_website": "<string>",
  "tasks.result.items.item.version": "<string>",
  "tasks.result.items.item.minimum_os_version": "<string>",
  "tasks.result.items.item.size": "<string>",
  "tasks.result.items.item.released_date": "<string>",
  "tasks.result.items.item.last_update_date": "<string>",
  "tasks.result.items.item.update_notes": "<string>",
  "tasks.result.items.item.images": [
    "<string>"
  ],
  "tasks.result.items.item.videos": [
    "<string>"
  ],
  "tasks.result.items.item.similar_apps": [
    "<string>"
  ],
  "tasks.result.items.item.similar_apps.app_id": "<string>",
  "tasks.result.items.item.similar_apps.title": "<string>",
  "tasks.result.items.item.similar_apps.url": "<string>",
  "tasks.result.items.item.more_apps_by_developer": [
    "<string>"
  ],
  "tasks.result.items.item.more_apps_by_developer.app_id": "<string>",
  "tasks.result.items.item.more_apps_by_developer.title": "<string>",
  "tasks.result.items.item.more_apps_by_developer.url": "<string>",
  "tasks.result.items.item.genres": [
    "<string>"
  ],
  "tasks.result.items.item.tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
categories
string[]

app categories optional field the categories you specify are used to search for app listings; you can get the full list of available app listing categories by this link you can specify up to 10 categories

description
string

keyword in the app’s description optional field keywords that occur in the description of the app; can contain up to 200 characters

title
string

keyword in the app’s title optional field keywords that occur in the title of the app; can contain up to 200 characters

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, like, not_like you can use the % operator with like and not_like to match any string of zero or more characters example: ["item.rating.value",">",3] you can receive the list of available filters by making a separate request to https://api.dataforseo.com/v3/app_data/google/app_listings/available_filters

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting parameter example: ["item.installs_count,asc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["item.rating.value,desc","item.installs_count,asc"]

limit
integer

the maximum number of returned apps optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned apps optional field default value: 0 if you specify the 10 value, the first ten entities in the results array will be omitted and the data will be provided for the successive entities Note: we recommend using this parameter only when retrieving up to 10,000 results for retrieving over 10,000 results, use the offset_token instead.

offset_token
string

token for subsequent requests optional field provided in the identical filed of the response to each request; use this parameter to avoid timeouts while trying to obtain over 100,000 results in a single request; by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task; offset_token values are unique for each subsequent task Note: if the offset_token is specified in the request, all other parameters should be identical to the previous request learn more about this parameter on our Help Center

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.total_count
integer

the total number of relevant results in the database

tasks.result.count
integer

the number of items in the results array

tasks.result.offset
integer

offset in the results array of returned apps

tasks.result.offset_token
string

token for subsequent requests you can use this parameter in the POST request to avoid timeouts while trying to obtain over 100,000 results in a single request

tasks.result.items
string[]

array of apps and related data

tasks.result.items.app_id
string

ID of the returned app

tasks.result.items.se_domain
string

search engine domain in a POST array

tasks.result.items.location_code
integer

location code in a POST array

tasks.result.items.language_code
string

language code in a POST array

tasks.result.items.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

tasks.result.items.time_update
string

date and time when SERP data was last updated in the ISO 8601 format: “YYYY-MM-DDThh:mm:ss.sssssssZ” example: 2023-05-23 10:16:19 +00:00

tasks.result.items.item
object

detailed information about the app

tasks.result.items.item.type
string

the item’s type possible item types: "google_play_info_organic"

tasks.result.items.item.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

tasks.result.items.item.rank_absolute
integer

absolute rank among all the listed apps absolute position among all apps on the list

tasks.result.items.item.position
string

the alignment of the element in SERP can take the following values: left

tasks.result.items.item.app_id
string

ID of the returned app

tasks.result.items.item.title
string

title of the returned app

tasks.result.items.item.url
string

URL to the app page on Google Play

tasks.result.items.item.icon
string

URL to the app icon

tasks.result.items.item.description
string

description of the returned app

tasks.result.items.item.reviews_count
integer

the total number of reviews the app has

tasks.result.items.item.rating
object

average rating of the app

tasks.result.items.item.rating.rating_type
string

the type of the rating can take the following values: Max5

tasks.result.items.item.rating.value
number

the value of the rating

tasks.result.items.item.rating.votes_count
integer

the amount of feedback in this case, the value will be null

tasks.result.items.item.rating.rating_max
integer

the maximum value for a rating_type the maximum value for Max5 is 5

tasks.result.items.item.price
object

price of the app

tasks.result.items.item.price.current
number

current price refers to the current price indicated in the element

tasks.result.items.item.price.regular
number

regular price refers to the regular price indicated in the element

tasks.result.items.item.price.max_value
number

the maximum price refers to the maximum price indicated in the element

tasks.result.items.item.price.currency
string

currency of the listed price ISO code of the currency applied to the price

tasks.result.items.item.price.is_price_range
boolean

price is provided as a range indicates whether a price is provided in a range

tasks.result.items.item.price.displayed_price
string

price string in the result raw price string as provided in the result

tasks.result.items.item.is_free
boolean

indicates whether the app is free

tasks.result.items.item.main_category
string

app category Google Play category relevant to the app

tasks.result.items.item.installs
string

approximate number of app installs

tasks.result.items.item.installs_count
integer

accurate number of app installs

tasks.result.items.item.developer
string

name of the app developer

tasks.result.items.item.developer_id
string

ID of the developer on Google Play

tasks.result.items.item.developer_url
string

URL to the developer page on Google Play

tasks.result.items.item.developer_email
string

email address of the developer

tasks.result.items.item.developer_address
string

physical address of the developer

tasks.result.items.item.developer_website
string

official website of the developer

tasks.result.items.item.version
string

current version of the app

tasks.result.items.item.minimum_os_version
string

minimum OS version required to install the app

tasks.result.items.item.size
string

size of the app

tasks.result.items.item.released_date
string

date and time when the app was released in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”; example: 2019-11-15 12:57:46 +00:00

tasks.result.items.item.last_update_date
string

date and time when the app was last updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”; example: 2019-11-15 12:57:46 +00:00

tasks.result.items.item.update_notes
string

update notes contains the latest update notes from the developer

tasks.result.items.item.images
string[]

app images contains URLs to the images published on the app page on Google Play

tasks.result.items.item.videos
string[]

app videos contains URLs to the video published on the app page on Google Play

tasks.result.items.item.similar_apps
string[]

similar apps displays apps similar to the app in a POST request

tasks.result.items.item.similar_apps.app_id
string

ID of the app

tasks.result.items.item.similar_apps.title
string

title of the app

tasks.result.items.item.similar_apps.url
string

URL to the app page on Google Play

tasks.result.items.item.more_apps_by_developer
string[]

similar apps information about apps built by the same developer

tasks.result.items.item.more_apps_by_developer.app_id
string

ID of the app

tasks.result.items.item.more_apps_by_developer.title
string

title of the app

tasks.result.items.item.more_apps_by_developer.url
string

URL to the app page on Google Play

tasks.result.items.item.genres
string[]

app genres contains relevant app categories

tasks.result.items.item.tags
string[]

app tags contains relevant app tags